curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
-X POST https://api.razorpay.com/v1/fund_accounts \
-H "Content-Type: application/json" \
-d '{
"contact_id":"cont_00000000000001",
"account_type":"bank_account",
"bank_account":{
"name":"Gaurav Kumar",
"ifsc":"HDFC0000053",
"account_number":"765432123456789"
}
}'
{
"id" : "fa_00000000000001",
"entity": "fund_account",
"contact_id" : "cont_00000000000001",
"account_type": "bank_account",
"bank_account": {
"ifsc": "HDFC0000053",
"bank_name": "HDFC Bank",
"name": "Gaurav Kumar",
"account_number": "765432123456789",
"notes": []
},
"active": true,
"batch_id": null,
"created_at": 1543650891
}
Account Validation
Create a Fund Account of Type Bank Account
Create a Fund Account of the type bank account via API.
POST
/
v1
/
fund_accounts
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
-X POST https://api.razorpay.com/v1/fund_accounts \
-H "Content-Type: application/json" \
-d '{
"contact_id":"cont_00000000000001",
"account_type":"bank_account",
"bank_account":{
"name":"Gaurav Kumar",
"ifsc":"HDFC0000053",
"account_number":"765432123456789"
}
}'
{
"id" : "fa_00000000000001",
"entity": "fund_account",
"contact_id" : "cont_00000000000001",
"account_type": "bank_account",
"bank_account": {
"ifsc": "HDFC0000053",
"bank_name": "HDFC Bank",
"name": "Gaurav Kumar",
"account_number": "765432123456789",
"notes": []
},
"active": true,
"batch_id": null,
"created_at": 1543650891
}
Available in🇮🇳 India🇲🇾 Malaysia🇸🇬 Singapore🇺🇸 United States
Use this endpoint to create a fund account with bank account details.
- A new fund account is created if any combination of the following details is unique:
contact_id,bank_account.name,bank_account.ifscandbank_account.account_number. - If all the above details match the details of an existing fund account, the API returns details of the existing fund account.
- You cannot edit the details of a fund account.
curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
-X POST https://api.razorpay.com/v1/fund_accounts \
-H "Content-Type: application/json" \
-d '{
"contact_id":"cont_00000000000001",
"account_type":"bank_account",
"bank_account":{
"name":"Gaurav Kumar",
"ifsc":"HDFC0000053",
"account_number":"765432123456789"
}
}'
{
"id" : "fa_00000000000001",
"entity": "fund_account",
"contact_id" : "cont_00000000000001",
"account_type": "bank_account",
"bank_account": {
"ifsc": "HDFC0000053",
"bank_name": "HDFC Bank",
"name": "Gaurav Kumar",
"account_number": "765432123456789",
"notes": []
},
"active": true,
"batch_id": null,
"created_at": 1543650891
}
Request Parameters
Account holder’s name. Name must be between 3 - 120 characters. This field is case-sensitive. Name cannot end with a special character, except
.. Supported characters: a-z, A-Z, 0-9, space, ’ , - , _ , / , ( , ) and , .. For example,Gaurav Kumar.Beneficiary bank IFSC. Has to be 11 characters. Unique identifier of a bank branch. For example,
HDFC0000053.Beneficiary account number. Between 5 and 35 characters. Supported characters:
a-z, A-Z and 0-9. Beneficiary account number. For example, 765432123456789.Response Parameters
The virtual payment address of the contact whose account is validated. For example,
gaurav.kumar@exampleupiLast modified on October 8, 2026
Was this page helpful?